org.apache.poi.xssf.usermodel

## Class BaseXSSFFormulaEvaluator

- java.lang.Object
- - org.apache.poi.ss.formula.BaseFormulaEvaluator
  - - org.apache.poi.xssf.usermodel.BaseXSSFFormulaEvaluator

- All Implemented Interfaces:
    WorkbookEvaluatorProvider, FormulaEvaluator
  Direct Known Subclasses:
    SXSSFFormulaEvaluator, XSSFFormulaEvaluator

      public abstract class BaseXSSFFormulaEvaluator
      extends BaseFormulaEvaluator

  Internal POI use only - parent of XSSF and SXSSF formula evaluators

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.formula.BaseFormulaEvaluator

      `_bookEvaluator`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `BaseXSSFFormulaEvaluator(WorkbookEvaluator bookEvaluator)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected RichTextString` | `createRichTextString(java.lang.String str)`
    `protected CellValue` | `evaluateFormulaCellValue(Cell cell)` Returns a CellValue wrapper around the supplied ValueEval instance.
    `protected void` | `setCellType(Cell cell, CellType cellType)` Override if a different variation is needed, e.g.
    `protected abstract EvaluationCell` | `toEvaluationCell(Cell cell)` Turns a XSSFCell / SXSSFCell into a XSSFEvaluationCell

    - ### Methods inherited from class org.apache.poi.ss.formula.BaseFormulaEvaluator

      `_getWorkbookEvaluator, clearAllCachedResultValues, evaluate, evaluateAllFormulaCells, evaluateAllFormulaCells, evaluateFormulaCell, evaluateFormulaCellEnum, evaluateInCell, getEvaluationWorkbook, setCellType, setCellValue, setDebugEvaluationOutputForNextEval, setIgnoreMissingWorkbooks, setupEnvironment, setupReferencedWorkbooks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.FormulaEvaluator

      `evaluateAll, notifyDeleteCell, notifySetFormula, notifyUpdateCell`

- - ### Constructor Detail

    - #### BaseXSSFFormulaEvaluator

          protected BaseXSSFFormulaEvaluator(WorkbookEvaluator bookEvaluator)

  - ### Method Detail

    - #### createRichTextString

          protected RichTextString createRichTextString(java.lang.String str)

      Specified by:
        `createRichTextString` in class `BaseFormulaEvaluator`

    - #### toEvaluationCell

          protected abstract EvaluationCell toEvaluationCell(Cell cell)

      Turns a XSSFCell / SXSSFCell into a XSSFEvaluationCell

    - #### evaluateFormulaCellValue

          protected CellValue evaluateFormulaCellValue(Cell cell)

      Returns a CellValue wrapper around the supplied ValueEval instance.
      Specified by:
        `evaluateFormulaCellValue` in class `BaseFormulaEvaluator`

    - #### setCellType

          protected void setCellType(Cell cell,
                                     CellType cellType)

      Description copied from class: `BaseFormulaEvaluator`
      Override if a different variation is needed, e.g. passing the evaluator to the cell method
      Overrides:
        `setCellType` in class `BaseFormulaEvaluator`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.